// Lobster: tools for biological sequence analysis
// (C) Copyright 2002-2003 Robert C. Edgar
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
// ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
// Public License for more details.

#include "lobster.h"
#include "EnumPaths.h"
#include "PWPath.h"

class EPS : public EnumPWPathsSink
	{
public:
	EPS() {}
	virtual ~EPS() {}

	virtual void OnPath(const PWPath &Path)
		{
//		List("TestEnumPaths::OnPath\n");
		Path.ListMe();
		}
	};

void TestEnumPWPaths(int argc, char *argv[])
	{
	EPS Sink;
	EnumPWPaths(3, 3, GLOBAL, LOCAL, Sink);
	}
