// Lobster: tools for biological sequence analysis
// (C) Copyright 2002-2003 Robert C. Edgar
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
// ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
// Public License for more details.

#ifndef	PWCorrelP_h
#define	PWCorrelP_h

#include "PWBase.h"

class PWCorrelP : public PWBase
	{
public:
	PWCorrelP()
		{
		}

	virtual ~PWCorrelP()
		{
		}

	virtual PWCLASS GetClass() const { return PWCLASS_CorrelP; }

	virtual SCORE ScoreProfPos(const ProfPos &PPA, const ProfPos &PPB) const
		{
		return (SCORE) Correl(PPA.m_Probs, PPB.m_Probs, MAX_ALPHA);
		}
	};

#endif	// PWCorrelP_h
